Bug 173252 - "Ethernet transmit timed out" starting with kernel 2.6.14
"Ethernet transmit timed out" starting with kernel 2.6.14
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-15 12:48 EST by Pierre Thibaudeau
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.14-1.1653_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-01 10:59:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Thibaudeau 2005-11-15 12:48:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.7.12) Gecko/20050920 Firefox/1.0.7

Description of problem:
Starting with kernel 2.6.14, my Ethernet stops working as soon as the traffic picks up on that Ethernet (ex. running a "vncviewer" across my LAN, it stops right during the initial transfer of the desktop).

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1637_FC4

How reproducible:
Always

Steps to Reproduce:
1. boot with kernel 2.6.14
2. start some heavy traffic application
3. within one second I get the error messages reproduced below in syslog
  

Actual Results:  Nov 12 16:38:37 prt3 kernel: NETDEV WATCHDOG: eth0: transmit timed out
Nov 12 16:38:37 prt3 kernel: eth0: transmit timed out, tx_status 00 status 8000.
Nov 12 16:38:37 prt3 kernel:   diagnostics: net 0cc6 media 8880 dma 000000a0 fifo 0000
Nov 12 16:38:37 prt3 kernel:   Flags; bus-master 1, dirty 765(13) current 781(13)
Nov 12 16:38:37 prt3 kernel:   Transmit list 01bf2a20 vs. c1bf2a20.
Nov 12 16:38:37 prt3 kernel:   0: @c1bf2200  length 00000042 status 000005ea
Nov 12 16:38:37 prt3 kernel:   1: @c1bf22a0  length 00000042 status 000005ea
Nov 12 16:38:37 prt3 kernel:   2: @c1bf2340  length 00000042 status 000005ea
Nov 12 16:38:37 prt3 kernel:   3: @c1bf23e0  length 00000042 status 000005ea
Nov 12 16:38:37 prt3 kernel:   4: @c1bf2480  length 00000042 status 000005ea
Nov 12 16:38:37 prt3 kernel:   5: @c1bf2520  length 00000042 status 000005ea
Nov 12 16:38:37 prt3 kernel:   6: @c1bf25c0  length 00000042 status 000005ea
Nov 12 16:38:37 prt3 kernel:   7: @c1bf2660  length 00000042 status 00000b92
Nov 12 16:38:37 prt3 kernel:   8: @c1bf2700  length 00000042 status 00000b92
Nov 12 16:38:37 prt3 kernel:   9: @c1bf27a0  length 80000042 status 00000042
Nov 12 16:38:37 prt3 kernel:   10: @c1bf2840  length 80000042 status 00000042
Nov 12 16:38:37 prt3 kernel:   11: @c1bf28e0  length 80000042 status 80000042
Nov 12 16:38:37 prt3 kernel:   12: @c1bf2980  length 80000042 status 80000042
Nov 12 16:38:37 prt3 kernel:   13: @c1bf2a20  length 00000042 status 00000b92
Nov 12 16:38:37 prt3 kernel:   14: @c1bf2ac0  length 00000042 status 00000b92
Nov 12 16:38:37 prt3 kernel:   15: @c1bf2b60  length 00000042 status 000005ea


Expected Results:  Traffic should flow silently, as is the case with older kernel (currently running 2.6.13-1.1532_FC4).

Additional info:

The interface giving trouble is member of a bridge:

bridge name     bridge id               STP enabled     interfaces
br0             8000.00b0d014a714       no              eth0
                                                        tap0
Here's some info about the hardware itself:

02:0c.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)
        Subsystem: Dell: Unknown device 00c7
        Flags: bus master, medium devsel, latency 64, IRQ 3
        I/O ports at ec00 [size=128]
        Memory at ff2fec00 (32-bit, non-prefetchable) [size=128]
        Expansion ROM at 44000000 [disabled] [size=128K]
        Capabilities: <available only to root>
Comment 1 Pierre Thibaudeau 2005-11-29 10:15:42 EST
Just gave a try to the newly released 2.6.14-1.1644_FC4 and found the same problem.

I must clarify something from my initial report: the "vncviewer" that causes
this problem is running on a remote machine connecting to the "vncserver" that's
running on the machine where the failure occurs. In other words, it suggest that
the problem occurs when a heavy burst of traffic is beeing _transmitted_.

Still no problem with 2.6.13-1.1532_FC4.

Regards.
Comment 2 John W. Linville 2005-11-30 10:42:31 EST
The fedora-netdev kernels are available here:  
  
   http://people.redhat.com/linville/kernels/fedora-netdev/  
  
Please give those a try and post the results here...thanks! 
Comment 3 Pierre Thibaudeau 2005-11-30 18:33:57 EST
Hi John,

I have just installed FC4.netdev.3 (kernel-2.6.14-1.1644_FC4.netdev.3) and it
resolves this issue.

In order to compile the VMware modules, I have also installed the matching
kernel-devel. Except for a minor issue (kernel built with gcc 4.0.2 while I only
have 4.0.1 so far) everything works fine. (The gcc issue did not impair the
process.)

Of course, I have only tested superficially so far. Should anything else be
adversely affected by this release, I will let you know.

Thanks.
Comment 4 John W. Linville 2005-12-01 10:59:35 EST
I'm going to close this as fixed upstream.  I can't be sure when it will be in 
the official Fedora kernels, but it should remain in Fedora-netdev until then. 
Comment 5 Pierre Thibaudeau 2005-12-14 10:27:19 EST
I've just found this issue is resolved in mainstream Fedora kernel
2.6.14-1.1653_FC4. I have changed the status accordingly.

Note You need to log in before you can comment on or make changes to this bug.